import { jsxs as e, jsx as i } from "react/jsx-runtime";
import n from "clsx";
/*!
  @versini/ui-spinner v1.4.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SPINNER__ || (window.__VERSINI_UI_SPINNER__ = {
    version: "1.4.0",
    buildTime: "12/26/2024 06:05 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const o = "av-spinner";
/*!
  @versini/ui-spacing v1.1.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SPACING__ || (window.__VERSINI_UI_SPACING__ = {
    version: "1.1.0",
    buildTime: "12/26/2024 06:05 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const a = (r) => {
  let t = "";
  if (typeof r == "number" || typeof r == "string")
    t = "m-" + r;
  else {
    const c = [];
    (r == null ? void 0 : r.t) !== void 0 && c.push(`mt-${r.t}`), (r == null ? void 0 : r.r) !== void 0 && c.push(`mr-${r.r}`), (r == null ? void 0 : r.b) !== void 0 && c.push(`mb-${r.b}`), (r == null ? void 0 : r.l) !== void 0 && c.push(`ml-${r.l}`), t = c.join(" ");
  }
  return t;
}, m = ({
  spinnerRef: r,
  mode: t = "system",
  type: c = "circle",
  spacing: l
}) => {
  const d = c === "circle" ? n(
    o,
    a(l),
    "h-8 w-8",
    "align-[-0.125em]",
    "border-4",
    "inline-block animate-spin rounded-full border-solid border-current border-r-transparent motion-reduce:animate-[spin_1.5s_linear_infinite]",
    {
      "text-copy-dark": t === "dark",
      "text-copy-accent": t === "light",
      "text-copy-dark dark:text-copy-accent": t === "system",
      "text-copy-accent dark:text-copy-dark": t === "alt-system"
    }
  ) : n(o, a(l)), s = n("av-spinner__dot", {
    "fill-copy-dark": t === "dark",
    "fill-copy-accent": t === "light",
    "fill-copy-dark dark:fill-copy-accent": t === "system",
    "fill-copy-accent dark:fill-copy-dark": t === "alt-system"
  });
  return /* @__PURE__ */ e("div", { ref: r, className: d, role: "status", children: [
    c === "dots" && /* @__PURE__ */ e("svg", { className: "h-8 w-8", children: [
      /* @__PURE__ */ i("circle", { className: s, cx: "6", cy: "50%", r: "3" }),
      /* @__PURE__ */ i("circle", { className: s, cx: "50%", cy: "50%", r: "3" }),
      /* @__PURE__ */ i("circle", { className: s, cx: "80%", cy: "50%", r: "3" })
    ] }),
    /* @__PURE__ */ i("span", { className: "sr-only", children: "Loading..." })
  ] });
};
export {
  o as SPINNER_CLASSNAME,
  m as Spinner
};
